buffer_puterror(3)

NAME
buffer_puterror - write error string to buffer and flush

SYNTAX
#include <libowfat/buffer.h> int buffer_puterror(buffer* b);

DESCRIPTION
buffer_puterror is equivalent to calling buffer_puterror2 with errno.

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
buffer_puterror2(3), buffer_puts(3), buffer_put(3), buffer_flush(3), buffer(3)